Ptex: Ptex::String Class Reference

Ptex

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | Related Functions | List of all members
Ptex::String Class Reference

Memory-managed string. More...

`#include <Ptexture.h>`

## Public Member Functions
| String ()
| String (const String &str)
| ~String ()
String & | operator= (const char *str)
String & | operator= (const String &str)
String & | operator= (const std::string &str)
const char * | c_str () const
bool | empty () const

## Private Attributes
char * | _str

## Related Functions
(Note that these are not member functions.)
struct Ptex | operator (std::ostream &stream, const Ptex::String &str)
| std::stream output operator. More...

## Detailed Description

Memory-managed string.

Used for returning error messages from API functions. On most platforms, this is a typedef to std::string. For Windows, this is a custom class that implements a subset of std::string. (Note: std::string cannot be passed through a Windows DLL interface).

Definition at line 303 of file Ptexture.h.

## Constructor & Destructor Documentation

Ptex::String::String | ( |  | ) |
| inline

Definition at line 306 of file Ptexture.h.

Ptex::String::String | ( | const String & | str | ) |
| inline

Definition at line 307 of file Ptexture.h.

Ptex::String::~String | ( |  | ) |

Definition at line 660 of file PtexUtils.cpp.

## Member Function Documentation

const char* Ptex::String::c_str | ( |  | ) | const
| inline

Definition at line 312 of file Ptexture.h.

Referenced by PtexWriter::edit(), PtexReaderCache::get(), PtexReader::open(), operator<<(), operator=(), and PtexWriterBase::release().

bool Ptex::String::empty | ( |  | ) | const
| inline

Definition at line 313 of file Ptexture.h.

References _str.

Ptex::String & Ptex::String::operator= | ( | const char * | str | ) |

Definition at line 666 of file PtexUtils.cpp.

String& Ptex::String::operator= | ( | const String & | str | ) |
| inline

Definition at line 310 of file Ptexture.h.

References _str.

String& Ptex::String::operator= | ( | const std::string & | str | ) |
| inline

Definition at line 311 of file Ptexture.h.

References c_str().

## Friends And Related Function Documentation

struct Ptex operator | ( | std::ostream & | stream,
|  | const Ptex::String & | str
| ) |  |
| related

std::stream output operator.

## Member Data Documentation

char* Ptex::String::_str
| private

Definition at line 316 of file Ptexture.h.

Referenced by empty(), operator=(), and Res::operator>=().

The documentation for this class was generated from the following files:

- Ptexture.h
- PtexUtils.cpp